# Class AccountException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
javax.security.auth.login.LoginException
javax.security.auth.login.AccountException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AccountExpiredException, AccountLockedException, AccountNotFoundException`

public class AccountException extends LoginException
A generic account exception.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AccountException()`
Constructs a AccountException with no detail message.
`AccountException(String msg)`
Constructs a AccountException with the specified detail message.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AccountException

public AccountException()
Constructs a AccountException with no detail message. A detail message is a String that describes this particular exception.

### AccountException

public AccountException(String msg)
Constructs a AccountException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the detail message.